Cyberduck Mountain Duck CLI

#7651 closed defect (thirdparty)

Socket write error

Reported by: andrés marín díaz Owned by: dkocher
Priority: normal Milestone: 4.4.4
Component: webdav Version: 4.4.2
Severity: normal Keywords:
Cc: Architecture: Intel
Platform:

Description

Hello,
I have a Owncloud webdav server and when i try to upload files bigger than 4GB CyberDuck stop always in the same byte: 4.0 GiB (4295360512 bytes) de 6.6 GiB.
It only happens when i use http without ssl. When i connect using https the upload it works fine.
I have try it whith others webdav clients and it works properly.

Attachments (3)

Captura.PNG (45.3 KB) - added by andrés marín díaz on Nov 28, 2013 at 10:05:51 AM.
Stop-Uploadding
Captura2.PNG (9.5 KB) - added by andrés marín díaz on Nov 28, 2013 at 10:21:04 AM.
Upload Error message
Captura3.PNG (54.1 KB) - added by andrés marín díaz on Nov 28, 2013 at 5:44:37 PM.

Download all attachments as: .zip

Change History (20)

comment:1 Changed on Nov 28, 2013 at 9:53:06 AM by dkocher

Please post the error message and the transcript from View → Log Drawer. Can you find any related output in the console.log (/Applications/Utilities/Console.app)?

Changed on Nov 28, 2013 at 10:05:51 AM by andrés marín díaz

Stop-Uploadding

Changed on Nov 28, 2013 at 10:21:04 AM by andrés marín díaz

Upload Error message

comment:2 follow-up: Changed on Nov 28, 2013 at 10:34:30 AM by dkocher

The connection is closed because no acknowledgement is received from the server for data sent.

comment:3 in reply to: ↑ 2 Changed on Nov 28, 2013 at 10:42:35 AM by andrés marín díaz

The upload file progress stop some minutes before show the error message. I think it's because a timeout expires. But i don't understand why it is working whith other clients (as CarotDav or BitKinex) and whith Cyberduck it works in https mode. My owncloud server has the same apache and php configuration and limits for http and https connections.

comment:4 follow-up: Changed on Nov 28, 2013 at 10:47:43 AM by dkocher

Can you find the corresponding log entries in yourApache log files?

comment:6 in reply to: ↑ 4 Changed on Nov 28, 2013 at 11:08:50 AM by andrés marín díaz

access.log:

138.4.110.2 - cesvima [28/Nov/2013:10:49:30 +0000] "HEAD /remote.php/webdav/ HTTP/1.1" 200 570 "-" "Cyberduck/4.4.3 (14118) (Windows NT (unknown)/6.2) (x86)"
138.4.110.2 - cesvima [28/Nov/2013:10:49:30 +0000] "HEAD /remote.php/webdav/pruebas/pruebas.6GB HTTP/1.1" 404 371 "-" "Cyberduck/4.4.3 (14118) (Windows NT (unknown)/6.2) (x86)"

Then it stop during more than 15 min before displaying the error in client.

access.log:

138.4.110.2 - cesvima [28/Nov/2013:10:49:31 +0000] "PUT /remote.php/webdav/pruebas/pruebas.6GB HTTP/1.1" 400 668 "-" "Cyberduck/4.4.3 (14118) (Windows NT (unknown)/6.2) (x86)"
138.4.110.2 - cesvima [28/Nov/2013:11:06:37 +0000] "PUT /remote.php/webdav/pruebas/pruebas.6GB HTTP/1.1" 400 659 "-" "Cyberduck/4.4.3 (14118) (Windows NT (unknown)/6.2) (x86)"

error.log has no entries

comment:7 in reply to: ↑ 5 Changed on Nov 28, 2013 at 11:51:09 AM by andrés marín díaz

I have reread the documentation of owncloud but i think it's not the problem because webdav implementation of owncloud use file chunking whith big files.
I have the upload_max_filesize parameter set to 2048MB and not 4096MB
I think this limit is used only uploading by the web interface. but when i use webdav i can upload bigger files. Cyberduck works well whith https: webdav connection (uploading files bigger than 30GB) but not when i use http connection.

comment:8 follow-up: Changed on Nov 28, 2013 at 12:24:05 PM by dkocher

The response code 400 (Bad Request) in the access log indicates the request fails.

comment:9 in reply to: ↑ 8 ; follow-up: Changed on Nov 28, 2013 at 12:36:33 PM by andrés marín díaz

I've tried the same uploads whith CyberDuck 4.3.1 and it works. I'm going to try CyberDuck 4.4

¿Where can i download Cyberduck 4.4.1 for windows?

comment:10 in reply to: ↑ 9 Changed on Nov 28, 2013 at 12:44:24 PM by dkocher

Replying to andrés marín díaz:

I've tried the same uploads whith CyberDuck 4.3.1 and it works. I'm going to try CyberDuck 4.4

¿Where can i download Cyberduck 4.4.1 for windows?

Previous releases can be found http://cyberduck.io/changelog.

comment:11 follow-up: Changed on Nov 28, 2013 at 12:44:50 PM by dkocher

Can you please post the transcript from the log drawer (Ctrl-L) of the Transfers window.

comment:12 in reply to: ↑ 11 ; follow-up: Changed on Nov 28, 2013 at 1:17:23 PM by andrés marín díaz

Log:

HEAD /remote.php/webdav/ HTTP/1.1
Host: cloud.cesvima.upm.es
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.2 (14095) (Windows NT (unknown)/6.2) (x86)
Authorization: Basic Y2VzdmltYTpjbDB1ZDFuZXNz
HTTP/1.1 200 OK
Date: Thu, 28 Nov 2013 13:09:07 GMT
Server: Apache/2.2.16 (Debian)
X-Powered-By: PHP/5.3.3-7+squeeze17
Set-Cookie: 511b5315c9cf7=p723cmf10667q4tu6jhpjh41n3; path=/; HttpOnly
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache
Set-Cookie: 511b5315c9cf7=23gtps4opm9lkrro6vv10thag6; path=/; HttpOnly
Vary: Accept-Encoding
Content-Encoding: gzip
Content-Length: 20
Keep-Alive: timeout=15, max=100
Connection: Keep-Alive
Content-Type: text/html; charset=utf-8
PROPFIND /remote.php/webdav/ HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: cloud.cesvima.upm.es
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.2 (14095) (Windows NT (unknown)/6.2) (x86)
Cookie: 511b5315c9cf7=23gtps4opm9lkrro6vv10thag6
Cookie2: $Version=1
Authorization: Basic Y2VzdmltYTpjbDB1ZDFuZXNz
HTTP/1.1 207 Multi-Status
Date: Thu, 28 Nov 2013 13:09:08 GMT
Server: Apache/2.2.16 (Debian)
X-Powered-By: PHP/5.3.3-7+squeeze17
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache
Vary: Brief,Prefer
DAV: 1, 3, extended-mkcol, 2
Content-Length: 3010
Keep-Alive: timeout=15, max=99
Connection: Keep-Alive
Content-Type: application/xml; charset=utf-8
PROPFIND /remote.php/webdav/pruebas/ HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: cloud.cesvima.upm.es
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.2 (14095) (Windows NT (unknown)/6.2) (x86)
Cookie: 511b5315c9cf7=23gtps4opm9lkrro6vv10thag6
Cookie2: $Version=1
Authorization: Basic Y2VzdmltYTpjbDB1ZDFuZXNz
HTTP/1.1 207 Multi-Status
Date: Thu, 28 Nov 2013 13:09:11 GMT
Server: Apache/2.2.16 (Debian)
X-Powered-By: PHP/5.3.3-7+squeeze17
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache
Vary: Brief,Prefer
DAV: 1, 3, extended-mkcol, 2
Content-Length: 527
Keep-Alive: timeout=15, max=98
Connection: Keep-Alive
Content-Type: application/xml; charset=utf-8

And 15 min later i have the Captura2.png error in the Transfer window but not more messages in Log drawer.

comment:13 in reply to: ↑ 12 Changed on Nov 28, 2013 at 1:24:22 PM by andrés marín díaz

Version 4.4 don't have the problem.
Version 4.4.1 link is broken

comment:14 follow-up: Changed on Nov 28, 2013 at 1:26:30 PM by dkocher

I suspect this is the transcript from the Browser window. Please open the log drawer from the ''Transfers'' window.

comment:15 in reply to: ↑ 14 Changed on Nov 28, 2013 at 5:43:27 PM by andrés marín díaz

Sorry, i didn't find the transfers window log drawer.
This is the log:

HEAD /remote.php/webdav/ HTTP/1.1
Host: cloud.cesvima.upm.es
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.2 (14095) (Windows NT (unknown)/6.2) (x86)
Authorization: Basic Y2VzdmltYTpjbDB1ZDFuZXNz
HTTP/1.1 200 OK
Date: Thu, 28 Nov 2013 17:19:12 GMT
Server: Apache/2.2.16 (Debian)
X-Powered-By: PHP/5.3.3-7+squeeze17
Set-Cookie: 511b5315c9cf7=cqk83ccj4dqa5b82m42vn7jcf5; path=/; HttpOnly
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache
Set-Cookie: 511b5315c9cf7=mcuevbev3q8m46nbgl26pgcfe2; path=/; HttpOnly
Vary: Accept-Encoding
Content-Encoding: gzip
Content-Length: 20
Keep-Alive: timeout=15, max=100
Connection: Keep-Alive
Content-Type: text/html; charset=utf-8
HEAD /remote.php/webdav/pruebas/pruebas.6GB HTTP/1.1
Host: cloud.cesvima.upm.es
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.2 (14095) (Windows NT (unknown)/6.2) (x86)
Cookie: 511b5315c9cf7=mcuevbev3q8m46nbgl26pgcfe2
Cookie2: $Version=1
Authorization: Basic Y2VzdmltYTpjbDB1ZDFuZXNz
HTTP/1.1 404 Not Found
Date: Thu, 28 Nov 2013 17:19:12 GMT
Server: Apache/2.2.16 (Debian)
X-Powered-By: PHP/5.3.3-7+squeeze17
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache
Keep-Alive: timeout=15, max=99
Connection: Keep-Alive
Content-Type: application/xml; charset=utf-8
PUT /remote.php/webdav/pruebas/pruebas.6GB HTTP/1.1
Expect: 100-continue
Content-Length: 7041234976
Content-Type: application/octet-stream
Host: cloud.cesvima.upm.es
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.2 (14095) (Windows NT (unknown)/6.2) (x86)
Cookie: 511b5315c9cf7=mcuevbev3q8m46nbgl26pgcfe2
Cookie2: $Version=1
Authorization: Basic Y2VzdmltYTpjbDB1ZDFuZXNz

All log lines are written when the upload starts.

Changed on Nov 28, 2013 at 5:44:37 PM by andrés marín díaz

comment:16 Changed on Jan 21, 2014 at 8:41:47 PM by dkocher

  • Milestone set to 4.4.4
  • Status changed from new to assigned
  • Summary changed from Stop uploading files of 4GB to http-webdav. to Socket write error

comment:17 Changed on Jan 21, 2014 at 8:42:20 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from assigned to closed

The error indicates that the remote server is closing the underlying connection.

Note: See TracTickets for help on using tickets.
swiss made software